Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve organization data retention

GET
/organization/data_retention

Retrieves organization data retention controls.

Returns
OrganizationDataRetention object { object, type }

Represents the organization’s data retention control setting.

object: "organization.data_retention"

The object type, which is always organization.data_retention.

type: "zero_data_retention" or "modified_abuse_monitoring" or "enhanced_zero_data_retention" or "enhanced_modified_abuse_monitoring"

The configured organization data retention type.

One of the following:
"zero_data_retention"
"modified_abuse_monitoring"
"enhanced_zero_data_retention"
"enhanced_modified_abuse_monitoring"

Retrieve organization data retention

curl https://api.openai.com/v1/organization/data_retention \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "organization.data_retention",
    "type": "modified_abuse_monitoring"
}
Returns Examples
{
    "object": "organization.data_retention",
    "type": "modified_abuse_monitoring"
}